Page MenuHomePhabricator

Enable auto-positioned snapshot on Kartographer side
Closed, ResolvedPublic

Description

Once T158123: Deploy kartotherian-snapshot v0.3.0 to production is resolved, auto-positioned snapshots will be available in production.

Current behavior

Currently,

  • when zoom is undefined, Kartographer defaults to 12
  • when latitude or longitude are undefined, Kartographer defaults to lat=30, lon=0

The result is a map, centered by default on a meaningless location, most likely not centered on the map features.

New behavior

With the new snapshot service, Kartographer can set these undefined values to a, which tells the snapshot service to calculate the optimal value.

The result is a map, automatically positioned (auto-zooming and/or auto-centering) based on the map features.

Notes

See corresponding code here: https://github.com/wikimedia/mediawiki-extensions-Kartographer/blob/master/includes/Tag/MapFrame.php#L131-L146

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterEnable Autio-positioned snapshot

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2017, 11:02 PM
debt removed JGirault as the assignee of this task.Jun 14 2017, 9:17 PM
debt removed a project: Maps-Sprint.
debt added a subscriber: debt.

Moving off the sprint board - the Discovery team won't be able to do this work at this time.

MSantos added a subscriber: MSantos.EditedOct 22 2018, 7:44 PM

It still happens, even after T158123: Deploy kartotherian-snapshot v0.3.0 to production

EDIT: I tested it properly and now I can see that it is working and the following patch solve it

Change 471494 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/Kartographer@master] Enable Autio-positioned snapshot

https://gerrit.wikimedia.org/r/471494

Change 471494 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Enable Autio-positioned snapshot

https://gerrit.wikimedia.org/r/471494

MSantos closed this task as Resolved.Nov 9 2018, 1:10 PM